Core Library 1.7.0.0 Library containing core utilities and tools for threading, networking, logging, INI and CSV file management etc.

Public Member Functions | Private Attributes | List of all members
core_lib::csv_grid::CellDouble Class Referencefinal

Class defining a single cell within a row of the grid. More...

`#include <CsvGridCellDouble.h>`

## Public Member Functions
| CellDouble ()=default
| Default constructor.
| CellDouble (const CellDouble &)=default
| Copy constructor.
| CellDouble (CellDouble &&)=default
| Move constructor.
| CellDouble (double value)
| Initializing constructor. More...
| CellDouble (const std::string &value)
| Initializing constructor. More...
| ~CellDouble ()=default
| Destructor.
CellDouble & | operator= (const CellDouble &)=default
| Copy assignment operator.
CellDouble & | operator= (CellDouble &&)=default
| Move assignment operator.
CellDouble & | operator= (double rhs)
| Value assignment operator. More...
CellDouble & | operator= (const std::string &rhs)
| Value assignment operator. More...
double | Value () const
| Value method. More...
| operator std::string () const
| Cast operator. More...
| operator double () const
| Cast operator. More...

## Private Attributes
double | m_value {0.0}
| The cell's value data memeber.

## Detailed Description

Class defining a single cell within a row of the grid.

This class provides the definition of the interface for a cell within a row in the grid. A cell can be thought of as the value in a given column index within the grid. This version is specialised for double precision numerical data.

## Constructor & Destructor Documentation

## ◆ CellDouble() [1/2]

core_lib::csv_grid::CellDouble::CellDouble | ( | double | value | ) |
| explicit

Initializing constructor.

Parameters

  [in] | value | - The initial value.

Initialise the cell with a double.

## ◆ CellDouble() [2/2]

core_lib::csv_grid::CellDouble::CellDouble | ( | const std::string & | value | ) |
| explicit

Initializing constructor.

Parameters

  [in] | value | - The initial value.

Initialise the cell with a string.

## Member Function Documentation

## ◆ operator double()

core_lib::csv_grid::CellDouble::operator double | ( |  | ) | const

Cast operator.

Cast the cell to a double.

## ◆ operator std::string()

core_lib::csv_grid::CellDouble::operator std::string | ( |  | ) | const

Cast operator.

Cast the cell to a string.

## ◆ operator=() [1/2]

CellDouble & core_lib::csv_grid::CellDouble::operator= | ( | double | rhs | ) |

Value assignment operator.

Parameters

  [in] | rhs | - The value to assign.

Returns
  Modified Cell object.

Assign to a double precision floating point value.

## ◆ operator=() [2/2]

CellDouble & core_lib::csv_grid::CellDouble::operator= | ( | const std::string & | rhs | ) |

Value assignment operator.

Parameters

  [in] | rhs | - The value to assign.

Returns
  Modified Cell object.

Assign to a string.

## ◆ Value()

double core_lib::csv_grid::CellDouble::Value | ( |  | ) | const

Value method.

Returns
  Get the underlying double value of the Cell.

The documentation for this class was generated from the following files:

- D:/Projects/CoreLibrary/Include/CsvGrid/CsvGridCellDouble.h
- D:/Projects/CoreLibrary/Source/CsvGrid/CsvGridCellDouble.cpp